<?php
/**
 * Width Decorator
 * 
 * @author Visual Media 
 */

namespace VisualM\ManagementBundle\AdminList\Column\Decorator;

use VisualM\ManagementBundle\AdminList\Column\ColumnConfigurationInterface;

/**
 * Width Decorator
 *
 * @author Visual Media 
 */
class WidthDecorator implements ColumnDecoratorInterface
{
    /**
     * Width
     * @var string
     */
    private $width;

    /**
     * Column
     * @var ColumnConfigurationInterface 
     */
    private $column;

    /**
     * Constructor
     *
     * @param string                       $width  Width
     * @param ColumnConfigurationInterface $column Column
     */
    public function __construct($width, ColumnConfigurationInterface $column)
    {
        $this->width = $width;
        $this->column = $column;
    }

    /**
     * {@inheritDoc}
     */
    public function getColumn()
    {
        return $this->column;
    }

    /**
     * {@inheritDoc}
     */
    public function getWidth()
    {
        return $this->width;
    }

    /**
     * {@inheritDoc}
     */
    public function getSpan()
    {
        return '';
    }
    
}